--- old/usr/src/uts/sun4u/javelin/Makefile.javelin.shared	2013-11-10 09:06:21.970549372 -0500
+++ /dev/null	2013-11-10 09:00:48.000000000 -0500
@@ -1,76 +0,0 @@
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-
-#
-# Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-#	This makefile contains the common definitions for the
-#	sun4u Javelin system dependent modules.
-#
-
-#
-# Define directories
-#
-ROOT_JAVELIN_DIR	= $(ROOT_PLAT_DIR)/SUNW,Ultra-250
-ROOT_JAVELIN_MOD_DIR	= $(ROOT_JAVELIN_DIR)/kernel
-ROOT_JAVELIN_KERN_DIR_32 = $(ROOT_JAVELIN_MOD_DIR)
-ROOT_JAVELIN_KERN_DIR_64 = $(ROOT_JAVELIN_MOD_DIR)/$(SUBDIR64)
-ROOT_JAVELIN_DRV_DIR_32	= $(ROOT_JAVELIN_MOD_DIR)/drv
-ROOT_JAVELIN_DRV_DIR_64	= $(ROOT_JAVELIN_MOD_DIR)/drv/$(SUBDIR64)
-ROOT_JAVELIN_MISC_DIR_32 = $(ROOT_JAVELIN_MOD_DIR)/misc
-ROOT_JAVELIN_MISC_DIR_64 = $(ROOT_JAVELIN_MOD_DIR)/misc/$(SUBDIR64)
-
-ROOT_JAVELIN_KERN_DIR	= $(ROOT_JAVELIN_KERN_DIR_$(CLASS))
-ROOT_JAVELIN_MISC_DIR	= $(ROOT_JAVELIN_MISC_DIR_$(CLASS))
-ROOT_JAVELIN_DRV_DIR	= $(ROOT_JAVELIN_DRV_DIR_$(CLASS))
-
-ROOT_PLAT_MOD_DIRS	+= $(ROOT_JAVELIN_MOD_DIR)
-ROOT_PLAT_MISC_DIRS	+= $(ROOT_JAVELIN_MISC_DIR)
-ROOT_PLAT_MISC_DIRS_32	+= $(ROOT_JAVELIN_MISC_DIR_32)
-ROOT_PLAT_DRV_DIRS	= $(ROOT_JAVELIN_DRV_DIR)
-
-USR_JAVELIN_DIR		= $(USR_PLAT_DIR)/SUNW,Ultra-250
-USR_JAVELIN_INC_DIR	= $(USR_JAVELIN_DIR)/include
-USR_JAVELIN_SBIN_DIR	= $(USR_JAVELIN_DIR)/sbin
-USR_JAVELIN_LIB_DIR	= $(USR_JAVELIN_DIR)/lib
-USR_JAVELIN_ISYS_DIR	= $(USR_JAVELIN_INC_DIR)/sys
-
-JAVELIN_LINT_LIB_DIR	= $(UTSBASE)/$(PLATFORM)/javelin/lint-libs/$(OBJS_DIR)
-
-#
-# Define objects.
-#
-JAVELIN_OBJS	= javelin.o
-
-include $(UTSTREE)/sun4u/javelin/Makefile.files
-
-#
-#	Include common rules.
-#
-include $(UTSTREE)/sun4u/Makefile.sun4u
-
-#
-# Define modules (must come after Makefile.sun4u)
-#
-JAVELIN_KMODS	= platmod
-JAVELIN_KMODS	+= envctrltwo
-
--- /dev/null	2013-11-10 09:00:48.000000000 -0500
+++ new/usr/src/uts/sun4u/javelin/Makefile.javelin	2013-11-10 09:06:21.976153425 -0500
@@ -0,0 +1,76 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+#	This makefile contains the common definitions for the
+#	sun4u Javelin system dependent modules.
+#
+
+#
+# Define directories
+#
+ROOT_JAVELIN_DIR	= $(ROOT_PLAT_DIR)/SUNW,Ultra-250
+ROOT_JAVELIN_MOD_DIR	= $(ROOT_JAVELIN_DIR)/kernel
+ROOT_JAVELIN_KERN_DIR_32 = $(ROOT_JAVELIN_MOD_DIR)
+ROOT_JAVELIN_KERN_DIR_64 = $(ROOT_JAVELIN_MOD_DIR)/$(SUBDIR64)
+ROOT_JAVELIN_DRV_DIR_32	= $(ROOT_JAVELIN_MOD_DIR)/drv
+ROOT_JAVELIN_DRV_DIR_64	= $(ROOT_JAVELIN_MOD_DIR)/drv/$(SUBDIR64)
+ROOT_JAVELIN_MISC_DIR_32 = $(ROOT_JAVELIN_MOD_DIR)/misc
+ROOT_JAVELIN_MISC_DIR_64 = $(ROOT_JAVELIN_MOD_DIR)/misc/$(SUBDIR64)
+
+ROOT_JAVELIN_KERN_DIR	= $(ROOT_JAVELIN_KERN_DIR_$(CLASS))
+ROOT_JAVELIN_MISC_DIR	= $(ROOT_JAVELIN_MISC_DIR_$(CLASS))
+ROOT_JAVELIN_DRV_DIR	= $(ROOT_JAVELIN_DRV_DIR_$(CLASS))
+
+ROOT_PLAT_MOD_DIRS	+= $(ROOT_JAVELIN_MOD_DIR)
+ROOT_PLAT_MISC_DIRS	+= $(ROOT_JAVELIN_MISC_DIR)
+ROOT_PLAT_MISC_DIRS_32	+= $(ROOT_JAVELIN_MISC_DIR_32)
+ROOT_PLAT_DRV_DIRS	= $(ROOT_JAVELIN_DRV_DIR)
+
+USR_JAVELIN_DIR		= $(USR_PLAT_DIR)/SUNW,Ultra-250
+USR_JAVELIN_INC_DIR	= $(USR_JAVELIN_DIR)/include
+USR_JAVELIN_SBIN_DIR	= $(USR_JAVELIN_DIR)/sbin
+USR_JAVELIN_LIB_DIR	= $(USR_JAVELIN_DIR)/lib
+USR_JAVELIN_ISYS_DIR	= $(USR_JAVELIN_INC_DIR)/sys
+
+JAVELIN_LINT_LIB_DIR	= $(UTSBASE)/$(PLATFORM)/javelin/lint-libs/$(OBJS_DIR)
+
+#
+# Define objects.
+#
+JAVELIN_OBJS	= javelin.o
+
+include $(UTSBASE)/sun4u/javelin/Makefile.files
+
+#
+#	Include common rules.
+#
+include $(UTSBASE)/sun4u/Makefile.sun4u
+
+#
+# Define modules (must come after Makefile.sun4u)
+#
+JAVELIN_KMODS	= platmod
+JAVELIN_KMODS	+= envctrltwo
+
